# Reve Edit

## reve-edit-image-to-image

> Reve’s edit model lets you upload an existing image and then transform it via a text prompt.

```json
{"openapi":"3.1.0","info":{"title":"API Reference","version":"1.0.0"},"tags":[{"name":"reve-edit"}],"servers":[{"url":"https://image.onerouter.pro","description":"Image"}],"security":[],"paths":{"/v1/images/edits":{"post":{"summary":"reve-edit-image-to-image","deprecated":false,"description":"Reve’s edit model lets you upload an existing image and then transform it via a text prompt.","tags":["reve-edit"],"parameters":[{"name":"Authorization","in":"header","description":"","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"model":{"type":"string","description":"model is the model name"},"prompt":{"type":"string","description":"The text description of how to edit the provided image."},"image_urls":{"type":"array","items":{"type":"string"},"description":"List of URLs of reference images. Must provide between 1 and 4 images (inclusive). Each image must be less than 1.5 MB. Supports PNG, JPEG, WebP, AVIF, and HEIF formats.","minItems":1,"maxItems":1},"n":{"type":"integer","description":"n  is the number of images to generate, default value is `1`.","enum":[1],"default":1},"output_format":{"type":"string","description":"output_format indicate the output format, default value is `url`.","enum":["url","b64_json"],"default":"url"}},"required":["model","prompt","image_urls"]}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"type":"object","properties":{"url":{"type":"string"},"b64_json":{"type":"string"},"revised_prompt":{"type":"string"}}}},"created":{"type":"integer"}},"required":["data","created"]}}},"headers":{}}}}}}}
```
